summaryrefslogtreecommitdiffstats
path: root/games/gemdropx
diff options
context:
space:
mode:
author MagicMan <MagicMan07@bluebottle.com>2010-05-11 14:28:18 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:28:18 +0200
commit0d9c2dd8ec6fb706d2b068a9efae868b2e19e357 (patch)
tree2288642809c99210b0cd26f26a1117d4a9162575 /games/gemdropx
parent4dfe05914f4ac78e856eac00103870fef191faf1 (diff)
downloadslackbuilds-0d9c2dd8ec6fb706d2b068a9efae868b2e19e357.tar.gz
slackbuilds-0d9c2dd8ec6fb706d2b068a9efae868b2e19e357.tar.xz
games/gemdropx: Initial import
Diffstat (limited to 'games/gemdropx')
-rw-r--r--games/gemdropx/README4
-rw-r--r--games/gemdropx/doinst.sh4
-rw-r--r--games/gemdropx/gemdropx.SlackBuild91
-rw-r--r--games/gemdropx/gemdropx.desktop10
-rw-r--r--games/gemdropx/gemdropx.info8
-rw-r--r--games/gemdropx/slack-desc11
6 files changed, 128 insertions, 0 deletions
diff --git a/games/gemdropx/README b/games/gemdropx/README
new file mode 100644
index 0000000000..621cef82ca
--- /dev/null
+++ b/games/gemdropx/README
@@ -0,0 +1,4 @@
+Gem Drop X is a fast-paced puzzle game where it's your job
+to clear the screen of gems before they squash you! (You're
+at the bottom, they're at the top, and they keep coming!)
+
diff --git a/games/gemdropx/doinst.sh b/games/gemdropx/doinst.sh
new file mode 100644
index 0000000000..98faaf3b59
--- /dev/null
+++ b/games/gemdropx/doinst.sh
@@ -0,0 +1,4 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/gemdropx/gemdropx.SlackBuild b/games/gemdropx/gemdropx.SlackBuild
new file mode 100644
index 0000000000..7fe3fcf7a0
--- /dev/null
+++ b/games/gemdropx/gemdropx.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for Gem Drop X
+
+# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit 1
+fi
+
+PRGNAM=gemdropx
+VERSION=0.9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PDOCS="AUTHORS.txt CHANGES.txt COPYING.txt ICON.txt INSTALL.txt README.txt TODO.txt"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# We'll have to fix the Makefile to prevent it from hard-coding the
+# the icon locations
+sed -i 's,DATA_PREFIX=/usr/local/share/gemdropx,DATA_PREFIX=/usr/share/gemdropx,' Makefile
+
+CFLAGS="$SLKCFLAGS" make
+
+install -D -m 0755 gemdropx $PKG/usr/bin/gemdropx
+strip --strip-unneeded $PKG/usr/bin/gemdropx
+
+mkdir -p $PKG/usr/share/{gemdropx,pixmaps}
+cp -a data/* $PKG/usr/share/gemdropx
+( cd $PKG/usr/share/pixmaps
+ ln -s ../gemdropx/images/gemdropx-icon.xpm gemdropx.xpm
+)
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+for i in images sounds ; do
+ mv $PKG/usr/share/gemdropx/$i/README $PKG/usr/doc/$PRGNAM-$VERSION/README.$i ;
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/gemdropx/gemdropx.desktop b/games/gemdropx/gemdropx.desktop
new file mode 100644
index 0000000000..1ee80a0be3
--- /dev/null
+++ b/games/gemdropx/gemdropx.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Gem Drop X
+GenericName=Fast-paced Puzzle Game
+Exec=gemdropx
+Terminal=false
+Type=Application
+Categories=Application;Game;StrategyGame
+Icon=/usr/share/pixmaps/gemdropx.xpm
+StartupNotify=false
diff --git a/games/gemdropx/gemdropx.info b/games/gemdropx/gemdropx.info
new file mode 100644
index 0000000000..616e2ac83a
--- /dev/null
+++ b/games/gemdropx/gemdropx.info
@@ -0,0 +1,8 @@
+PRGNAM="gemdropx"
+VERSION="0.9"
+HOMEPAGE="http://www.newbreedsoftware.com/gemdropx/"
+DOWNLOAD="ftp://ftp.billsgames.com/unix/x/gemdropx/src/gemdropx-0.9.tar.gz"
+MD5SUM="fd0337e89778e2dba74461c555ea8e42"
+MAINTAINER="MagicMan"
+EMAIL="MagicMan07@bluebottle.com"
+APPROVED="robw810"
diff --git a/games/gemdropx/slack-desc b/games/gemdropx/slack-desc
new file mode 100644
index 0000000000..97c9f91c57
--- /dev/null
+++ b/games/gemdropx/slack-desc
@@ -0,0 +1,11 @@
+gemdropx: Gem Drop X (Fast-paced Puzzle Game)
+gemdropx:
+gemdropx: Gem Drop X is a fast-paced puzzle game where it's your job
+gemdropx: to clear the screen of gems before they squash you! (You're
+gemdropx: at the bottom, they're at the top, and they keep coming!)
+gemdropx:
+gemdropx: Homepage: http://www.newbreedsoftware.com/gemdropx/
+gemdropx:
+gemdropx:
+gemdropx:
+gemdropx: